﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;

namespace RimWorld
{
    class PsychicPowerDriver_Inspiration : PsychicPowerDriver
    {
        public override void UsePower(PsychicPowerDef power, Pawn user, Pawn target)
        {
            if(!target.mindState.inspirationHandler.Inspired)
            {
                target.mindState.inspirationHandler.TryStartInspiration((InspirationDef)typeof(InspirationHandler).GetMethod("GetRandomAvailableInspirationDef", System.Reflection.BindingFlags.Instance | System.Reflection.BindingFlags.NonPublic).Invoke(target.mindState.inspirationHandler, new object[0]));
            }
        }
    }
}
